import {gql} from '../helpers'
import {   
   actionPromise,
} from '../reducers'


export const actionFindUsers = (word, skipCount=0, limitCount=50) => (
   actionPromise('findUsers', gql(`query findUsers($q: String) {
      UserFind (query: $q){
         _id
         createdAt
         login
         nick
         avatar {
            url
         }
      }     
   }`, { 
         q: JSON.stringify([  {  
                                 $or: [                                    
                                    {login: `/${word}/`}, 
                                    {nick: `/${word}/`}
                                 ] 
                              },
                              { 
                                 sort: [{login: 1}],  
                                 skip: [skipCount], 
                                 limit: [limitCount] 
                              } 
                           ])
      }
   ))
)