import React, {useEffect, useState} from 'react';
import {useDropzone} from 'react-dropzone';

import {connect}  from 'react-redux'
import {
    actionUploadFile,
} from "../actions"



const thumbsContainer = {
  display: 'flex',
  flexDirection: 'row',
  flexWrap: 'wrap',
  marginTop: 16
};

const thumb = {
  display: 'inline-flex',
  borderRadius: 2,
  border: '1px solid #eaeaea',
  marginBottom: 8,
  marginRight: 8,
  width: 100,
  height: 100,
  padding: 4,
  boxSizing: 'border-box'
};

const thumbInner = {
  display: 'flex',
  minWidth: 0,
  overflow: 'hidden'
};

const img = {
  display: 'block',
  width: 'auto',
  height: '100%'
};


const MsgDropZone = ({onLoad}) => {
  const [files, setFiles] = useState([]);
  const {getRootProps, getInputProps} = useDropzone({
    // accept: 'image/*',
    onDrop: async (acceptedFiles) => {
      await setFiles(acceptedFiles.map(file => Object.assign(file, {
        preview: URL.createObjectURL(file)
      })));   

      // await acceptedFiles.forEach(file => {
      //     onLoad("media", file)
      // })
     
    }
  });
  
  const thumbs = files.map(file => (
    <div style={thumb} key={file.name}>
      <div style={thumbInner}>
        <img
          src={file.preview}
          style={img}
        />
      </div>
    </div>
  ));

  useEffect(() => {
    // Make sure to revoke the data uris to avoid memory leaks
    files.forEach(file => URL.revokeObjectURL(file.preview));
  }, [files]);

  return (
    <form action="/upload" method="post" encType="multipart/form-data" id='form'> 
        <section className="container">
        <div {...getRootProps({className: 'dropzone'})}>
            <input {...getInputProps()} type="file" name="media" id='media'/>
            <p>Перетащите файлы</p>
        </div>
        <aside style={thumbsContainer}>
            {thumbs}
        </aside>
        </section>
    </form>
  );
}
export const CMsgDropZone = connect( null, {onLoad: actionUploadFile})
                                                (MsgDropZone)

