import React from 'react';
import {connect}   from 'react-redux';
import { CircularProgress } from '@mui/material';

const Preloader = () => (  
   <CircularProgress />
)

const RejectedAlert = ({error}) => (
  <div>
    Ошибка {error}
  </div>
)

const Preloaded = ({promiseName, promiseState, children}) => (
  <>
  { promiseState[promiseName]?.status === 'RESOLVED' ? children :
      promiseState[promiseName]?.status === 'REJECTED' ? 
            <RejectedAlert error={promiseState[promiseName]?.error}/> :
         <Preloader />
  }
  </>
)
export const CPreloaded = connect(state => ({promiseState: state.promise}))(Preloaded)

{/* <CPreloaded promiseName={}>
  <CCategoryById />
</CPreloaded>  */}