import {gql} from '../helpers'
import {
   actionPromise
} from './promiseReducer'

export const actionUserFindOne = (userId, name='findUserOne') => (
   actionPromise(name, gql(`query findUserOne($q: String) {
      UserFindOne (query: $q){
         _id
         createdAt
         login
         nick
         avatar {
            _id
            url
         }
      }     
   }`, { 
         q: JSON.stringify([  {_id: userId}  ])
      }
   ))
)


export const actionAboutMe = () => (
   async (dispatch, getState) => {
      let {auth} = getState()
      let id = auth?.payload?.sub?.id 
      if (id) {
         await dispatch(actionUserFindOne(id, 'myProfile'))
      }   
   }
)