import {createStore, combineReducers, applyMiddleware} from 'redux'
import thunk from 'redux-thunk'
import {promiseReducer} from './promiseReducer'
import {authReducer} from './authReducer'
import {chatsReducer} from './chatsReducer'
import {localStoredReducer} from './localStoredReducer'

import {actionAboutMe} from './findUserActions'


export const store =  createStore (  combineReducers({ 
                                    // promise: localStoredReducer(promiseReducer, 'promise'),
                                    // auth: localStoredReducer(authReducer, 'auth'),
                                    // chats: localStoredReducer(chatsReducer, 'chats'),
                                    promise: promiseReducer, 
                                    auth: authReducer, 
                                    chats: chatsReducer
                                                }),
                                    applyMiddleware(thunk)
                        )

store.dispatch(actionAboutMe())

store.subscribe(() => console.log(store.getState()))


// combineReducers({cart: localStoredReducer(cartReducer, 'cart'),
//                  promise: localStoredReducer(promiseReducer, 'promise') })
//для пользы при работе с промисами надо бы пока PENDING не делать payload undefined 
//при наличии старого payload 
//http://gitlab.a-level.com.ua/gitgod/react-template/src/nosaga/src/reducers/index.js#L13